The message you selected is no longer available for viewing.

Wait, huh? Patch 1.9 is live?

#1Wire_HarpPosted 3/22/2013 7:13:05 PM
I got an email telling me that Skyrim's 1.9 patch is live for consoles but I didn't hear anyone on here say anything. Is it live? I can't log into Skyrim right now.
#2Dreadsword101Posted 3/22/2013 7:14:53 PM
I think it's fake. It's being submitted for certification next week according to a developer tweet.

I'm going to check anyway...
#3Wire_Harp(Topic Creator)Posted 3/22/2013 7:16:26 PM
Meh, it was from Gamespot so it's probably incorrect. I don't even know why they keep sending me things...
#4Dreadsword101Posted 3/22/2013 7:17:11 PM
Back.

It's not live. At least where I am.
#5Wire_Harp(Topic Creator)Posted 3/22/2013 7:18:44 PM
Thanks for checking.
#6SynysterSityPosted 3/22/2013 7:38:20 PM
So what is the patch bringing to Skyrim? I really have no clue...
---
"A puppet that can no longer be used is mere garbage. This puppet's role has just ended..." Majoras Mask, Majoras Mask
#7smashthesmurfsPosted 3/22/2013 7:42:53 PM
Can't you like "prestige" your skills as well as play "legendary" difficulty?
---
GT: papa cashwads
#8Lord HugoPosted 3/22/2013 11:01:51 PM
If it were out, you would find dozens of topics complaining about what they did NOT fix.
---
"Jeff Goldblum was actually on Death's To-Do list today, but he's so awesome he managed to talk Death into taking Michael Jackson instead."-Ben Paddon
#9Ryan-06Posted 3/22/2013 11:12:54 PM
Lord Hugo posted...
If it were out, you would find dozens of topics complaining about what they did NOT fix.


Lol. Leveling all day will eventually become boring crap too. Not gonna bother with that. Legendary will just be more broke and frustrating than Master.
---
0=Rei. Pronounced Rei-six. Born New England. Lived in Japan. Citizen of Earth.
:3 http://i.imgur.com/sfR1P.gif
#10Cast_SupremacyPosted 3/23/2013 1:19:14 AM
On another topic.. I thought you had to opt into the 1.9 beta on PC, or maybe it's gone live for real now. Been a while since a played. Just started it up and got a few so and so mod won't work as Skyrim is an unsupported version ..